Bug Tracker – Bug 1075

Re-enable Global Sound Pickups on CVAR

Last modified: 2019-07-30 15:20:41 UTC
Bug 1075 - Re-enable Global Sound Pickups on CVAR
Summary: Re-enable Global Sound Pickups on CVAR
Status: NEW
Alias: None
Product: Odamex
Classification: Unclassified
Component: Server & Client (show other bugs)
Version: 0.7.x (Old)
Hardware: All All
: P1 trivial
Assignee: Odamex Bug Reporter
URL:
Depends on:
Blocks:
 
Reported: 2014-05-08 20:15 UTC by Maëllig Desmottes
Modified: 2019-07-30 15:20 UTC (History)
3 users (show)

See Also:

Attachments

Patchy-patch! (2.71 KB, application/octet-stream)
2014-05-08 20:15 UTC, Maëllig Desmottes
Details
Add an attachment (proposed patch, testcase, etc.)

Note You need to log in before you can comment on or make changes to this bug.
Description Maëllig Desmottes 2014-05-08 20:15:35 UTC
Created attachment 497 [details]
Patchy-patch!

When playing CTF on competition, pickup sounds are needed to ensure a correct play on games.

Odamex disables it automatically to ensure DooM2.exe original behaviour, but since this is mainly needed for some enhancements...

(Patch given with 2/3 little servers)
Comment 1 Ralph Vickers 2016-11-12 23:48:45 UTC
So, as of 24889a9 this is sort of in with co_globalsound. However, it plays the pickup sound at full volume for some reason instead of playing like a normal sound. That needs to be fixed and then it is good to go.
Comment 2 Nick 2019-03-09 08:06:10 UTC
Fixed here:
https://github.com/hobomaster22/odamex/tree/bug/1075

Weapon and item pickup sounds from other players are now sent by the server when co_globalsound is enabled.
Comment 3 HeX_Vulture 2019-07-30 15:20:41 UTC
Mark fixed?